Index: send.php
===================================================================
--- send.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ send.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: benchmark.php
===================================================================
--- benchmark.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ benchmark.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "db_access.php");
 
Index: confirm.php
===================================================================
--- confirm.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ confirm.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.user.php");
Index: self_assign.php
===================================================================
--- self_assign.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ self_assign.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.misc.php");
Index: clock_status.php
===================================================================
--- clock_status.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ clock_status.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: adv_search.php
===================================================================
--- adv_search.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ adv_search.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "db_access.php");
 require_once(APP_INC_PATH . "class.template.php");
Index: view_note.php
===================================================================
--- view_note.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ view_note.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: custom_fields.php
===================================================================
--- custom_fields.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ custom_fields.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: view_headers.php
===================================================================
--- view_headers.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ view_headers.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: download.php
===================================================================
--- download.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ download.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.auth.php");
 require_once(APP_INC_PATH . "class.attachment.php");
Index: faq.php
===================================================================
--- faq.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ faq.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "db_access.php");
 require_once(APP_INC_PATH . "class.template.php");
Index: view.php
===================================================================
--- view.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ view.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: list.php
===================================================================
--- list.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ list.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "db_access.php");
 require_once(APP_INC_PATH . "class.template.php");
Index: time_tracking.php
===================================================================
--- time_tracking.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ time_tracking.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: offline.php
===================================================================
--- offline.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ offline.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 
Index: forgot_password.php
===================================================================
--- forgot_password.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ forgot_password.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.user.php");
Index: update.php
===================================================================
--- update.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ update.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
@@ -121,7 +121,8 @@
         "assoc_issues" => array_map("htmlspecialchars", Issue::getAssocList()),
         "one_week_ts"  => time() + (7 * DAY),
         "allow_unassigned_issues"   =>  @$setup["allow_unassigned_issues"],
-        "groups"       => Group::getAssocList($prj_id)
+        "groups"       => Group::getAssocList($prj_id),
+        'current_year' =>   date('Y'),
     ));
 
     $cookie = Auth::getCookieInfo(APP_PROJECT_COOKIE);
Index: main.php
===================================================================
--- main.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ main.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: post.php
===================================================================
--- post.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ post.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.issue.php");
Index: js/validation.js
===================================================================
--- js/validation.js	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ js/validation.js	(.../trunk/eventum)	(revision 3298)
@@ -1,5 +1,10 @@
-<!--
-// @(#) $Id$
+/*
+ * @(#) $Id$
+ */
+
+
+
+
 function isValidDate(f, field_prefix)
 {
     var selected_date = new Date();
@@ -350,4 +355,3 @@
         return true;
     }
 }
-//-->
\ No newline at end of file
Index: help.php
===================================================================
--- help.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ help.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: new.php
===================================================================
--- new.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ new.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: removed_emails.php
===================================================================
--- removed_emails.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ removed_emails.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.auth.php");
Index: csv.php
===================================================================
--- csv.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ csv.php	(.../trunk/eventum)	(revision 3298)
@@ -26,23 +26,22 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
-require_once(dirname(__FILE__) . "/init.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "db_access.php");
 
+require_once(dirname(__FILE__) . '/init.php');
+require_once(APP_INC_PATH . 'class.auth.php');
+require_once(APP_INC_PATH . 'db_access.php');
+
 Auth::checkAuthentication(APP_COOKIE);
 
-$csv = base64_decode($_POST["csv_data"]);
+$csv = base64_decode($_POST['csv_data']);
 
-header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
-header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
-header("Pragma: no-cache");
-header("Content-Type: application/vnd.ms-excel");
-header("Content-Disposition: attachment; filename=".uniqid('').'.xls');
-header("Expires: 0");
-header("Cache-Control: must-revalidate, post-check=0,pre-check=0");
-header("Content-Type: application/vnd.ms-excel");
-header("Content-Disposition: \"inline\"");
-header("Content-Length: " . strlen($csv));
+header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
+header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); // always modified
+header('Pragma: no-cache');
+header('Cache-Control: must-revalidate, post-check=0,pre-check=0');
+
+header('Content-Type: application/vnd.ms-excel');
+header('Content-Disposition: attachment; filename='. uniqid('') . '.xls');
+header('Content-Length: ' . strlen($csv));
+
 echo $csv;
Index: include/class.mime_helper.php
===================================================================
--- include/class.mime_helper.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.mime_helper.php	(.../trunk/eventum)	(revision 3298)
@@ -498,7 +498,7 @@
         if (!is_object($message)) {
             $message = Mime_Helper::decode($message, true);
         }
-        return Mime_Helper::_getAttachmentDetails($message, TRUE);
+        return Mime_Helper::_getAttachmentDetails($message, true);
     }
 
 
@@ -532,7 +532,7 @@
             // if requested, return only the details of
             // a particular attachment CID. Only really needed
             // as hack for inline images
-            if (($return_cid != FALSE) && (@$mime_part->d_parameters['content-id'] != $return_cid)) {
+            if (($return_cid != FALSE) && (@$mime_part->headers['content-id'] != $return_cid)) {
                 return array();
             }
             $found = 1;
Index: include/class.issue.php
===================================================================
--- include/class.issue.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.issue.php	(.../trunk/eventum)	(revision 3298)
@@ -1142,7 +1142,7 @@
                     }
                     $blob = Misc::getFileContents($_FILES["file"]["tmp_name"][$i]);
                     if (!empty($blob)) {
-                        Attachment::addFile($attachment_id, $new_issue_id, $filename, $_FILES["file"]["type"][$i], $blob);
+                        Attachment::addFile($attachment_id, $filename, $_FILES["file"]["type"][$i], $blob);
                     }
                 }
             }
@@ -2119,7 +2119,7 @@
                 if (count($files) > 0) {
                     $attachment_id = Attachment::add($new_issue_id, $usr_id, 'Files uploaded at issue creation time');
                     foreach ($files as $file) {
-                        Attachment::addFile($attachment_id, $new_issue_id, $file["filename"], $file["type"], $file["blob"]);
+                        Attachment::addFile($attachment_id, $file["filename"], $file["type"], $file["blob"]);
                     }
                 }
             }
Index: include/class.history.php
===================================================================
--- include/class.history.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.history.php	(.../trunk/eventum)	(revision 3298)
@@ -253,7 +253,9 @@
                     his_htt_id NOT IN(" . join(',', $htt_list) . ") AND
                     iss_prj_id = " . Auth::getCurrentProject() . "
                  GROUP BY
-                    iss_id";
+                    iss_id
+                 ORDER BY
+                    iss_id ASC";
         $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
Index: include/class.language.php
===================================================================
--- include/class.language.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.language.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 
-// the list of available languges is in config.inc.php
+// the list of available languges is in config/config.php
 
 /**
  * Class to handle the logic behind the internationalization issues
Index: include/class.mail_queue.php
===================================================================
--- include/class.mail_queue.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.mail_queue.php	(.../trunk/eventum)	(revision 3298)
@@ -110,7 +110,12 @@
             $headers['To'] = Mail_API::fixAddressQuoting($headers['To']);
         }
 
-        list(,$text_headers) = Mail_API::prepareHeaders($headers);
+        $prepared_headers = Mail_API::prepareHeaders($headers);
+        if (PEAR::isError($prepared_headers)) {
+            print_r(debug_backtrace());
+            return;
+        }
+        list(,$text_headers) = $prepared_headers;
 
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "mail_queue
@@ -133,7 +138,7 @@
         $stmt .= ") VALUES (
                     $save_email_copy,
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . getenv("REMOTE_ADDR") . "',
+                    '" . @$_SERVER['REMOTE_ADDR'] . "',
                     '" . Misc::escapeString($recipient) . "',
                     '" . Misc::escapeString($text_headers) . "',
                     '" . Misc::escapeString($body) . "',
Index: include/class.attachment.php
===================================================================
--- include/class.attachment.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.attachment.php	(.../trunk/eventum)	(revision 3298)
@@ -273,6 +273,7 @@
     /**
      * Method used to remove attachments from the database.
      *
+     * @param   integer $iat_id attachment_id.
      * @access  public
      * @return  integer Numeric code used to check for any errors
      */
@@ -298,12 +299,13 @@
             if (empty($res)) {
                 return -2;
             } else {
+                $issue_id = $res;
                 $files = Attachment::getFileList($iat_id);
                 $stmt = "DELETE FROM
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_attachment
                          WHERE
                             iat_id=$iat_id AND
-                            iat_iss_id=$res";
+                            iat_iss_id=$issue_id";
                 $res = $GLOBALS["db_api"]->dbh->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -312,9 +314,9 @@
                 for ($i = 0; $i < count($files); $i++) {
                     Attachment::removeFile($files[$i]['iaf_id']);
                 }
-                Issue::markAsUpdated($res);
+                Issue::markAsUpdated($issue_id);
                 // need to save a history entry for this
-                History::add($res, $usr_id, History::getTypeID('attachment_removed'), 'Attachment removed by ' . User::getFullName($usr_id));
+                History::add($issue_id, $usr_id, History::getTypeID('attachment_removed'), 'Attachment removed by ' . User::getFullName($usr_id));
                 return 1;
             }
         }
@@ -466,7 +468,7 @@
         }
         $attachment_id = Attachment::add($_POST["issue_id"], $usr_id, @$_POST["file_description"], $internal_only);
         foreach ($files as $file) {
-            Attachment::addFile($attachment_id, $_POST["issue_id"], $file["filename"], $file["type"], $file["blob"]);
+            Attachment::addFile($attachment_id, $file["filename"], $file["type"], $file["blob"]);
         }
 
         Issue::markAsUpdated($_POST["issue_id"], "file uploaded");
@@ -494,11 +496,10 @@
      *
      * @access  public
      * @param   integer $attachment_id The attachment ID
-     * @param   integer $issue_id The issue ID
      * @param   string $filename The filename to be added
      * @return  boolean
      */
-    function addFile($attachment_id, $issue_id, $filename, $filetype, &$blob)
+    function addFile($attachment_id, $filename, $filetype, &$blob)
     {
         $filesize = strlen($blob);
         $stmt = "INSERT INTO
Index: include/class.auth.php
===================================================================
--- include/class.auth.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.auth.php	(.../trunk/eventum)	(revision 3298)
@@ -433,7 +433,7 @@
         $usr_id = Auth::getUserID();
         $projects = Project::getAssocList($usr_id);
         if ($usr_id == APP_SYSTEM_USER_ID) {
-            return $cookie['prj_id'];
+            return isset($cookie['prj_id']) ? (int )$cookie['prj_id'] : null;
         }
         if (!in_array($cookie["prj_id"], array_keys($projects))) {
             Auth::redirect(APP_RELATIVE_URL . "select_project.php?err=1");
Index: include/class.error_handler.php
===================================================================
--- include/class.error_handler.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.error_handler.php	(.../trunk/eventum)	(revision 3298)
@@ -97,7 +97,7 @@
         } else {
             $msg .= "'$error_msg'\n\n";
         }
-        @$msg .= "That happened on page '" . $_SERVER["PHP_SELF"] . "' from IP Address '" . getenv("REMOTE_ADDR") . "' coming from the page (referrer) '" . getenv("HTTP_REFERER") . "'.\n\n";
+        @$msg .= "That happened on page '" . $_SERVER["PHP_SELF"] . "' from IP Address '" . $_SERVER['REMOTE_ADDR'] . "' coming from the page (referrer) '" . $_SERVER['HTTP_REFERER'] . "'.\n\n";
         @$msg .= "The user agent given was '" . $_SERVER['HTTP_USER_AGENT'] . "'.\n\n";
         $msg .= "-- \nSincerely yours,\nAutomated Error_Handler Class";
         // only try to include the backtrace if we are on PHP 4.3.0 or later
Index: include/class.routing.php
===================================================================
--- include/class.routing.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.routing.php	(.../trunk/eventum)	(revision 3298)
@@ -52,11 +52,10 @@
      * Routes an email to the correct issue.
      *
      * @param   string $full_message The full email message, including headers
+     * @return  mixed   true or array(ERROR_CODE, ERROR_STRING) in case of failure
      */
     function route_emails($full_message)
     {
-        GLOBAL $_POST;
-
         // need some validation here
         if (empty($full_message)) {
             return array(66, ev_gettext("Error: The email message was empty") . ".\n");
@@ -241,11 +240,10 @@
      * Routes a note to the correct issue
      *
      * @param   string $full_message The full note
+     * @return  mixed   true or array(ERROR_CODE, ERROR_STRING) in case of failure
      */
     function route_notes($full_message)
     {
-        GLOBAL $_POST;
-
         // save the full message for logging purposes
         Note::saveRoutedNote($full_message);
 
@@ -263,11 +261,6 @@
             return array(66, ev_gettext("Error: The email message was empty.") . "\n");
         }
 
-
-        //
-        // DON'T EDIT ANYTHING BELOW THIS LINE
-        //
-
         // remove the reply-to: header
         if (preg_match('/^reply-to:.*/im', $full_message)) {
             $full_message = preg_replace("/^(reply-to:).*\n/im", '', $full_message, 1);
@@ -368,11 +361,10 @@
      * Routes a draft to the correct issue.
      *
      * @param   string $full_message The complete draft.
+     * @return  mixed   true or array(ERROR_CODE, ERROR_STRING) in case of failure
      */
     function route_drafts($full_message)
     {
-        GLOBAL $_POST;
-
         // save the full message for logging purposes
         Draft::saveRoutedMessage($full_message);
 
@@ -387,11 +379,6 @@
             return array(66, ev_gettext("Error: The email message was empty.") . "\n");
         }
 
-
-        //
-        // DON'T EDIT ANYTHING BELOW THIS LINE
-        //
-
         // remove the reply-to: header
         if (preg_match("/^(reply-to:).*/im", $full_message)) {
             $full_message = preg_replace("/^(reply-to:).*\n/im", '', $full_message, 1);
Index: include/class.support.php
===================================================================
--- include/class.support.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ include/class.support.php	(.../trunk/eventum)	(revision 3298)
@@ -459,11 +459,13 @@
      * Method used to get the information about a specific message
      * from a given mailbox.
      *
+     * XXX this function does more than that.
+     *
      * @access  public
      * @param   resource $mbox The mailbox
      * @param   array $info The support email account information
      * @param   integer $num The index of the message
-     * @return  array The message information
+     * @return  void
      */
     function getEmailInfo($mbox, $info, $num)
     {
@@ -473,7 +475,7 @@
         if ($info['ema_get_only_new']) {
             list($overview) = @imap_fetch_overview($mbox, $num);
             if (($overview->seen) || ($overview->deleted) || ($overview->answered)) {
-                return false;
+                return;
             }
         }
 
@@ -482,7 +484,8 @@
         $body = imap_body($mbox, $num);
         // check for mysterious blank messages
         if (empty($body) and empty($headers)) {
-            return '';
+            // XXX do some error reporting?
+            return;
         }
         $message_id = Mail_API::getMessageID($headers, $body);
         $message = $headers . $body;
@@ -504,7 +507,7 @@
             // pass in $email by reference so it can be modified
             $workflow = Workflow::preEmailDownload($info['ema_prj_id'], $info, $mbox, $num, $message, $email);
             if ($workflow === -1) {
-                return true;
+                return;
             }
 
             // route emails if neccassary
@@ -530,8 +533,9 @@
                         $return = Routing::route_emails($message);
                         if ($return == true) {
                             Support::deleteMessage($info, $mbox, $num);
+                            return;
                         }
-                        return $return;
+                        return;
                     }
                 }
                 if (@$setup['note_routing']['status'] == 'enabled') {
@@ -540,8 +544,9 @@
                         $return = Routing::route_notes($message);
                         if ($return == true) {
                             Support::deleteMessage($info, $mbox, $num);
+                            return;
                         }
-                        return $return;
+                        return;
                     }
                 }
                 if (@$setup['draft_routing']['status'] == 'enabled') {
@@ -550,11 +555,12 @@
                         $return = Routing::route_drafts($message);
                         if ($return == true) {
                             Support::deleteMessage($info, $mbox, $num);
+                            return;
                         }
-                        return $return;
+                        return;
                     }
                 }
-                return false;
+                return;
             }
 
             $sender_email = Mail_API::getEmailAddress($email->fromaddress);
@@ -704,9 +710,9 @@
                     @imap_setflag_full($mbox, $num, "\\Seen");
                 }
             }
-            return true;
+            return;
         } else {
-            return false;
+            return;
         }
     }
 
@@ -1340,7 +1346,7 @@
     function extractAttachments($issue_id, $input, $internal_only = false, $associated_note_id = false)
     {
         if (!is_object($input)) {
-            $input = Mime_Helper::decode($input, false, false);
+            $input = Mime_Helper::decode($input, true, true);
         }
 
         // figure out who should be the 'owner' of this attachment
@@ -1373,7 +1379,7 @@
             }
             $attachment_id = Attachment::add($issue_id, $usr_id, $history_log, $internal_only, $unknown_user, $associated_note_id);
             for ($i = 0; $i < count($attachments); $i++) {
-                Attachment::addFile($attachment_id, $issue_id, $attachments[$i]['filename'], $attachments[$i]['filetype'], $attachments[$i]['blob']);
+                Attachment::addFile($attachment_id, $attachments[$i]['filename'], $attachments[$i]['filetype'], $attachments[$i]['blob']);
             }
             // mark the note as having attachments (poor man's caching system)
             if ($associated_note_id != false) {
Index: ChangeLog
===================================================================
--- ChangeLog	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ ChangeLog	(.../trunk/eventum)	(revision 3298)
@@ -1,7 +1,7 @@
 Eventum Issue Tracking System
 =============================
 
-???, Version ???
+2007-04-12, Version 2.0
 - Fixed bug with user recieving an update email when they updated the issue (Bryan)
 - Fixed bug with inserting attachment from email with an apostrophe in the email name (Bryan)
 - Changed support_email table to not truncate long to and cc lists (Bryan)
@@ -43,7 +43,7 @@
 - Allow SCM commit messages contain multiple issue IDs (Elan Ruusamäe)
 - Add "Add signature" feature to issue close page (Elan Ruusamäe)
 - Customize list page sorting order per column type (Elan Ruusamäe)
-- Added note_id to handleNewNote workflow method (Elan Ruusamäe)
+- Added $note_id to handleNewNote workflow method (Elan Ruusamäe)
 - Detect and log corrupted MIME emails (Elan Ruusamäe)
 - Show attached xml files inline (Elan Ruusamäe)
 - Improved time tracking output to show also hours and days (Elan Ruusamäe)
@@ -62,13 +62,17 @@
 - Change weekly report to be project specific (Bryan)
 - Added warning message when closing issue from update issue page (Bryan)
 - Added Ignore Issue Status Changes to weekly report window (Elan Ruusamäe)
-- Add $note_id to workflow handleNewNote method (Elan Ruusamäe)
 - Update Eventum core code to handle PHP configurations without old style of globals (Elan Ruusamäe)
 - Update JPGraph to handle PHP configurations without old style of globals (Bryan)
 - Fixed bug with not setting the issue ID in the subject of emails sent to users not on the notification list (Bryan)
 - Allow IRC bot to join server with username/password optionally. (Elan Ruusamäe)
 - Set system user to always have a role of administrator (Bryan)
 - Fixed bug with displaying note sequence (Bryan)
+- Fixed bug with extracting attachments (Bryan)
+- Added Finnish translation (Jyrki Heinonen)
+- Fixed bug attachment history entry not being added due variable overwrite (Elan Ruusamäe)
+- Fixed detection in process_{svn,cvs}_commits whether there was issue id specified in commit message (Elan Ruusamäe)
+- Order weekly report by Issue ID (Bryan)
 
 31 Mar 2006, Version 1.7.1
 - Fixed bug with Workflow::handleAssignmentChange() being called too often (Bryan)
Index: popup.php
===================================================================
--- popup.php	(.../tags/2.0-beta1/eventum)	(revision 3298)
+++ popup.php	(.../trunk/eventum)	(revision 3298)
@@ -26,7 +26,7 @@
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id$
-//
+
 require_once(dirname(__FILE__) . "/init.php");
 require_once(APP_INC_PATH . "class.template.php");
 require_once(APP_INC_PATH . "class.misc.php");
